# Dataset entities

## Description

Use the `teklia-dan dataset entities` command extract entities from an Arkindex export database (SQLite format). This will create a YAML file with all the entity names found.

| Parameter       | Description                                         | Type           | Default        |
| --------------- | --------------------------------------------------- | -------------- | -------------- |
| `database`      | Path where the data were exported from Arkindex.    | `pathlib.Path` |                |
| `--output-file` | Path to a YAML file to save the extracted entities. | `pathlib.Path` | `entities.yml` |

## Examples

```shell
teklia-dan dataset entities \
    database.sqlite
```

This command will create an `entities.yml` YAML-formatted file with the list of entity names.

```yaml
entities:
  - INTITULE
  - DATE
  - ANALYSE_COMPL.
  - PRECISIONS_SUR_COTE
  - COTE_ARTICLE
  - CLASSEMENT
```
